import Vue from 'vue'
import Router from 'vue-router'
import Login from '@/components/login'
import Manage from '@/components/manage'
import ManageUser from '@/components/manage-user'
import ManageDB from '@/components/manage-db'
import ManageServer from '@/components/manage-server'
import Intro from '@/components/intro'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Login',
      component: Login
    },
    {
      path: '/manage',
      name: 'Manage',
      component: Manage,
      redirect: 'manage/intro', // can't use `/manage/user`, why?
      children: [
        {
          path: 'intro',
          name: 'Intro',
          component: Intro
        },
        {
          path: 'user',
          name: 'User',
          component: ManageUser
        },
        {
          path: 'db',
          name: 'DataBase',
          component: ManageDB
        },
        {
          path: 'server',
          name: 'HTTPServer',
          component: ManageServer
        }
      ]
    }
  ]
})
